# include directories
LIBDIR  = $(OSROOTDIR)/cpp/lib
RTXSRCDIR = $(OSROOTDIR)/rtxsrc
PERSRCDIR = $(OSROOTDIR)/rtxpersrc
XMLSRCDIR = $(OSROOTDIR)/rtxmlsrc
XSDDIR = $(OSROOTDIR)/xsd

# compiler defs
CFLAGS = -c $(CVARS_) $(CCFLAGS_) $(CBLDTYPE_) $(XMLDEFS)
CCFLAGS = $(CFLAGS)
IPATHS = -I$(OSROOTDIR) $(IPATHS_)
LINKOPT = $(LINKOPT_) $(LINKDBG)

HFILES = $(RTXSRCDIR)/osSysTypes.h \
$(RTXSRCDIR)/rtxContext.h \
$(RTXSRCDIR)/rtxCommon.h \
$(RTXSRCDIR)/rtxErrCodes.h \
$(XMLSRCDIR)/osrtxml.h

SAXHFILES = $(HFILES) $(XMLSRCDIR)/rtSaxCppParser.h $(XMLSRCDIR)/rtSaxDefs.h

LIBS = $(LIBDIR)/libosysrt.a $(LIBDIR)/libosysrtxml.a
LLIBS = -losysrtxml -losysrt $(LLSYS)
LPATHS = $(LPPFX)$(LIBDIR)

SAXLIBS = $(LIBS) $(XMLLIBPATH) $(XMLLIBIFOBJPATH)
SAXLLIBS = $(XMLLIBIFOBJPATH) $(LLIBS) $(XMLLINKLIB) $(LLSYS)
SAXLPATHS = $(LPATHS) $(XMLLPATHS)

